class MyClass
  @alpha = 123                # Initialize @alpha
  class << self
    attr_reader :alpha          # MyClass.alpha()
    attr_writer :beta           # MyClass.beta=()
    attr_accessor :gamma        # MyClass.gamma() and
  end                           #   MyClass.gamma=()
  def MyClass.look
    puts "#@alpha, #@beta, #@gamma"
  end
  #...

end

puts MyClass.alpha  # 123
MyClass.beta = 456
MyClass.gamma = 789
puts MyClass.gamma  # 789
MyClass.look        # 123, 456, 789

